TLM-2.0: tlm_utils::instance_specific_extensions_per_accessor< U > Class Template Reference

# tlm_utils::instance_specific_extensions_per_accessor< U > Class Template Reference

`#include <instance_specific_extensions.h>`

Collaboration diagram for tlm_utils::instance_specific_extensions_per_accessor< U >:

[legend]

List of all members.

## Public Types
typedef void(U::* | cb )()
## Public Member Functions
| instance_specific_extensions_per_accessor (U *container, cb inc, cb dec)
template<typename T >
T * | set_extension (T *ext)
ispex_base * | set_extension (unsigned int index, ispex_base *ext)
template<typename T >
void | get_extension (T *&ext) const
ispex_base * | get_extension (unsigned int index) const
template<typename T >
void | clear_extension (const T *ext)
void | clear_extension (unsigned int index)
void | resize_extensions ()

## Detailed Description

### template<typename U>
class tlm_utils::instance_specific_extensions_per_accessor< U >

Definition at line 101 of file instance_specific_extensions.h.

## Member Typedef Documentation

template<typename U>

typedef void(U::* tlm_utils::instance_specific_extensions_per_accessor< U >::cb)()

Definition at line 104 of file instance_specific_extensions.h.

## Constructor & Destructor Documentation

template<typename U>

tlm_utils::instance_specific_extensions_per_accessor< U >::instance_specific_extensions_per_accessor | ( | U * | container,
|  | cb | inc,
|  | cb | dec |
| ) |  |  | `[inline]`

Definition at line 106 of file instance_specific_extensions.h.

## Member Function Documentation

template<typename U>

void tlm_utils::instance_specific_extensions_per_accessor< U >::clear_extension | ( | unsigned int | index | ) | `[inline]`

Definition at line 147 of file instance_specific_extensions.h.

template<typename U>
template<typename T >

void tlm_utils::instance_specific_extensions_per_accessor< U >::clear_extension | ( | const T * | ext | ) | `[inline]`

Definition at line 140 of file instance_specific_extensions.h.

template<typename U>

ispex_base* tlm_utils::instance_specific_extensions_per_accessor< U >::get_extension | ( | unsigned int | index | ) | const`[inline]`

Definition at line 134 of file instance_specific_extensions.h.

template<typename U>
template<typename T >

void tlm_utils::instance_specific_extensions_per_accessor< U >::get_extension | ( | T *& | ext | ) | const`[inline]`

Definition at line 129 of file instance_specific_extensions.h.

template<typename U>

void tlm_utils::instance_specific_extensions_per_accessor< U >::resize_extensions | ( |  | ) | `[inline]`

Definition at line 161 of file instance_specific_extensions.h.

template<typename U>

ispex_base* tlm_utils::instance_specific_extensions_per_accessor< U >::set_extension | ( | unsigned int | index,
|  | ispex_base * | ext |
| ) |  |  | `[inline]`

Definition at line 118 of file instance_specific_extensions.h.

template<typename U>
template<typename T >

T* tlm_utils::instance_specific_extensions_per_accessor< U >::set_extension | ( | T * | ext | ) | `[inline]`

Definition at line 109 of file instance_specific_extensions.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/instance_specific_extensions.h